Subject: Re: bug#44698: 27.1; dir-locals.el stay on file-local-variables-alist when using vc-mode
From: Sean Whitton <[email-masked]>
To: Stefan Kangas <[email-masked]>
Cc: Christopher Lemmer Webber <[email-masked]>, Miguel Ángel Arruga Vivas <[email-masked]>, [email-masked], [email-masked]
Date: Sat, 08 Mar 2025 17:11:26 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

On Sat 08 Mar 2025 at 08:07am GMT, Stefan Kangas wrote:

> I think you can use `kill-all-local-variables` for this:
>
>     (kill-all-local-variables 'kill-permanent)

Oh, thanks, I never knew it could take an argument.
I think the thing to do here then is add that to vc-log-internal-common.
We're a long way from releasing Emacs 31 so if this does break something
else, we'll find out.

Installed the change and closing the bug.

-- 
Sean Whitton